Program GR;

 Uses
   Crt,Graph;

var
  Driver, Mode, TestDriver,
  ErrCode  : Integer;
  I,J:Integer;
  CH:Char;

{$F+}
function TestDetect : Integer;
{ Autodetect function. Assume hardware is
  always present. Return value = recommended
  default mode. }
begin
  TestDetect := 1;
end;
{$F-}
Procedure Init;
 Begin
  { Install the driver }
  TestDriver :=
    InstallUserDriver('VGA256', @TestDetect);
  if GraphResult <> grOk then
  begin
    WriteLn('Error installing TestDriver');
    Halt(1);
  end;
  Driver := Detect;
  InitGraph(Driver, Mode, '');
  ErrCode := GraphResult;
  if ErrCode <> grOk then
  begin
    WriteLn('Error during Init: ', ErrCode);
    Halt(1);
  end;
  J:=1;
  CH:=' ';
  For I:= 1 To 256 Do
   Begin
    Inc(J);
    SetColor(I);
    Line(J,0,J,GetMaxY);
    If J > 640 Then J:= 1;
   End;
 End;

 Begin
  Init;
  CH:=ReadKey;
 { Closegraph;   }
 End.